# {{ ansible_managed }}

auto {{ item.device|string }}
{% if item.allow is defined and item.allow|string|length > 0 %}
allow-{{ item.allow|string }} {{ item.device|string }}
{% endif %}
{% if item.bootproto|lower == 'static' %}
iface {{ item.device|string }} {{ item.family|default('inet',true) }} static
{% if item.mtu is defined and item.mtu|string|length > 0 %}
    mtu {{ item.mtu|string }}
{% endif %}
{% if item.address is defined and item.address|string|length > 0 %}
    address {{ item.address|string }}
{% endif %}
{% if item.netmask is defined and item.netmask|string|length > 0 %}
    netmask {{ item.netmask|string }}
{% endif %}
{% if item.gateway is defined and item.gateway|string|length > 0 %}
    gateway {{ item.gateway|string }}
{% endif %}
{% if item.bond_mode is defined and item.bond_mode|string|length >%}
    bond-mode {{ item.bond_mode }}
{% endif %}
    bond-miimon {{ item.bond_miimon|default(100) }}
{% if item.bond_downdelay is defined and item.bond_downdelay|string|length > 0 %}
    bond-downdelay {{ item.bond_downdelay|string }}
{% endif %}
{% if item.bond_updelay is defined and item.bond_updelay|string|length > 0 %}
    bond-updelay {{ item.bond_updelay|string }}
{% endif %}
{% if item.bond_xmit_hash_policy is defined and item.bond_xmit_hash_policy|string|length > 0 %}
    bond-xmit_hash_policy {{ item.bond_xmit_hash_policy|string }}
{% endif %}
{% if item.bond_slaves is defined and item.bond_mode|lower == 'active-backup' %}
    bond-slaves none
{% endif %}
{% if item.bond_slaves is defined and item.bond_mode|lower == '802.3ad' %}
    bond-slaves {{ item.bond_slaves|join(' ') }}
{% endif %}
{% endif %}
{% if item.bootproto|lower == 'dhcp' %}
iface {{ item.device|string }} {{ item.family|default('inet',true) }} dhcp
{% if item.bond_mode is defined and item.bond_mode|string|length > 0 %}
    bond-mode {{ item.bond_mode|string }}
{% endif %}
    bond-miimon {{ item.bond_miimon|default(100) }}
{% if item.bond_slaves is defined and item.bond_mode|lower == 'active-backup' %}
    bond-slaves none
{% endif %}
{% if item.bond_slaves is defined and item.bond_mode|lower == '802.3ad' %}
    bond-slaves {{ item.bond_slaves|join(' ') }}
{% endif %}
{% endif %}
{%- if item.route is defined %}
{%- for route in item.route %}
    up route add -net {{ route.network|string }}{{ ' netmask ' ~ route.netmask if (route.netmask is defined and route.netmask|string|length > 0) else '' }}{{ ' gw ' ~ route.gateway if (route.gateway is defined and route.gateway|string|length > 0) else '' }}{{ ' metric ' ~ route.metric if (route.metric is defined and route.metric|string|length > 0) else '' }} dev {{ item.device|string }}{{ ' || /bin/true' if item.route|length > 1 else '' }}
{% endfor -%}
{%- for route in item.route %}
    down route del -net {{ route.network }}{{ ' netmask ' ~ route.netmask if (route.netmask is defined and route.netmask|string|length > 0) else '' }}{{ ' gw ' ~ route.gateway if (route.gateway is defined and route.gateway|string|length > 0) else '' }}{{ ' metric ' ~ route.metric if (route.metric is defined and route.metric|string|length > 0) else '' }} dev {{ item.device|string }}{{ ' || /bin/true' if item.route|length > 1 else '' }}
{% endfor -%}
{% endif -%}
{%- if item.pre_up is defined %}
{%- for pre_up in item.pre_up %}
    pre-up {{ pre_up|string }}
{% endfor -%}
{% endif -%}
{%- if item.up is defined %}
{%- for up in item.up %}
    up {{ up|string }}
{% endfor -%}
{% endif -%}
{%- if item.down is defined %}
{%- for down in item.down %}
    down {{ down|string }}
{% endfor -%}
{% endif -%}
{%- if item.post_down is defined %}
{%- for post_down in item.post_down %}
    post-down {{ post_down|string }}
{% endfor -%}
{% endif -%}
